import { Provider } from "./provider";
let contextId = 0;
export function createContext(initialValue) {
    const id = contextId++;
    return {
        initialValue,
        id,
        defineProvider(name) {
            window.customElements.define(name, class extends Provider {
                get contextId() {
                    return id;
                }
            });
        }
    };
}
//# sourceMappingURL=context.js.map