import { Component } from "./component";
import { Context } from "./context";
export declare const REQUEST_CONSUME: string;
export interface Detail<T> {
    context: Context<T>;
    consumer: Component;
    register(provider: Provider<T>): void;
}
export declare abstract class Provider<T> extends HTMLElement {
    protected abstract readonly contextId: number;
    private _value;
    private consumers;
    constructor();
    protected connectedCallback(): void;
    unsubscribe(consumer: Component): void;
    value: T | undefined;
}
